The stock price reflects the general consensus of the market actors, and these actors buy or sell shares leveraging information that is publicly available for publicly traded companies as well as insights created by analysts or the actor themselves. 'News' of this sort is provided through many channels and can be automatically analyzed to measure the impact on stock prices.

# Data Sources

The solution itself does not contain any direct connection to an external data source. Input dataset should be linked to the data sources necessary for the project to work. The needed sources are listed below.

## Tickers Information

A [dataset](dataset:tickers_information) containing a row per ticker with some information about the sector, the columns it should contain are:
 - ticker: the stock ticker (string).
 - company: the stock full name (string).
 - sector: the sector the stock belongs to (string). This column can be filled with a dummy variable if not available.

## Stock Prices

A [dataset](dataset:stock_prices_all) containing historical stock prices for all the tickers in the [tickers_information](dataset:tickers_information) dataset. A row corresponds to one day for one ticker:
 - date: the date of the stock price (date).
 - ticker: the same as for tickers_information (string).
 - price: the stock price (double).
 
## Historical News Data

A [dataset](dataset:news_data) containing the historical news with the tickers labelled. Each row is an individual piece of news, there can be multiple for one given stock per day or none. The time period should be the same as for the Stock Prices described above. The columns are:
 - date: the date of the news (date).
 - title: the news headling (string). It will be processed to predict anomalous stock price moves.
 - url: the news article url (string). It will be exposed in the webapp to read the full article.
 - stock: the stock ticker, same as for tickers_information (string).
 
## Real Time News Data

A [dataset](dataset:news_today) containing the latest news with the same format as for historical news. It could be for example the news that were released in the last X hours, or all the news since the start of the day. The data model is exactly the same as for [news_data](dataset:news_data).

# Processing

The headlines of all news items related to each stock on a given day are concatenated and will then be processed to run the cross analysis. As a result the dataset of news consists of one or zero entries per stock per day, as well as aggregating all the information received for this particular stock on this particular day.

# Follow up

To further enrich the model, full article text could be read instead of the headlines only. This would require more complex NLP analysis to extract patterns from the text read. Topic and sentiment analysis could provide additional insights that headlines do not.