Two scenarios automate the flow and enable to keep it up to date. The [Overnight Batch](scenario:Overnight_Batch) updates the models with the latest data. The [Real Time Risk Scoring](scenario:Real_Time_Risk_Scoring) processes the most recent news and scores them to feed the WebApp. For the project to be up to date, these two scenario's triggers must be activated, and the input datasets must be connected to an API that will provide the updated data.

# Overnight Batch

This scenario is run each time the input datasets [stock_prices_all](dataset:stock_prices_all) and [news_data](dataset:news_data) both change. All the datasets are rebuilt until the News Scoring model which is also rebuilt using the updated data. Finally the downstream datasets are rebuilt.

# Real Time Risk Scoring

This scenario involves rebuilding the whole real time data flow and uses the News Model to score the updated data. It is triggered when the [news_today](dataset:news_today) dataset changes. Once the final datasets are rebuilt, the [Stock Alert System Dashboard](web_app:0a0bFw3)'s backend is restarted to take into account the new data.

# Follow Up

Each time the Real Time Risk Scoring is run, it would be possible to have a reporter send an email with the stocks that pass a given volatility score threshold. This is configurable in the scenario menu. The email could give the scores of these top stocks and a link to the webapp to further analyze.